### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-app-shell/ecl-app-shell-core/ecl-app-shell-core.component.ts`

### Extends

`EclAppShellComponent`

### Example

### Metadata

providers | `{ provide: EclAppShellFacade, useClass: EclDefaultAppShellFacade }`
selector | `ecl-app-shell-core`
templateUrl | `./ecl-app-shell-core.component.html`

### Index

###### Properties
beforeContentSlot beforeFooterSlot beforePageHeaderSlot beforeSiteHeaderSlot currentLanguage$ footerSectionsSlot footerSlot isLanguageListVisible languages$ pageHeaderBreadcrumbItemsSlot pageHeaderSlot siteHeaderClassNameSlot siteHeaderEnvironmentSlot siteHeaderMenuSlot siteHeaderSlot templates
###### Methods
onLanguageListClose onLanguageSelected onSiteHeaderEcLogoClick onSiteHeaderLanguageClick onSiteHeaderLogin onSiteHeaderLogout onSiteHeaderSearch
###### Inputs
breadcrumbs group isRouterBreadcrumbs languageCodes languages mainContentStyleClass pageHeaderDescription pageHeaderMeta pageHeaderTitle siteHeaderHasLogin siteHeaderHasSearch siteHeaderIsLoggedIn siteHeaderLanguageCode siteHeaderLanguageLabel siteHeaderLoggedAs siteHeaderSearchInputText siteHeaderSiteName styleClass
###### Outputs
siteHeaderLanguageChanged siteHeaderLogin siteHeaderLogoClick siteHeaderLogout siteHeaderSearch

### Constructor

`constructor(facade: EclAppShellFacade, cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
facade | `EclAppShellFacade` | No
cd | `ChangeDetectorRef` | No

### Inputs

breadcrumbs
Type : `Array<EclBreadcrumb>`

group
Type : `string`
Default value : `'2'`

isRouterBreadcrumbs
Type : `boolean`
Default value : `false`

languageCodes
Type : `Array<string>`
Default value : `[]`

languages
Type : `Array<EclLanguage>`
Default value : `[]`

mainContentStyleClass
Type : `string`
Default value : `'ecl-u-pv-xl'`

pageHeaderDescription
Type : `string`

pageHeaderMeta
Type : `string`

pageHeaderTitle
Type : `string`

siteHeaderHasLogin
Type : `boolean`
Default value : `false`

siteHeaderHasSearch
Type : `boolean`
Default value : `true`

siteHeaderIsLoggedIn
Type : `boolean`
Default value : `false`

siteHeaderLanguageCode
Type : `string`
Default value : `'en'`

siteHeaderLanguageLabel
Type : `string`

siteHeaderLoggedAs
Type : `string`
Default value : `''`

siteHeaderSearchInputText
Type : `string`

siteHeaderSiteName
Type : `string`

styleClass
Type : `string`

### Outputs

siteHeaderLanguageChanged
Type : `EventEmitter`

siteHeaderLogin
Type : `EventEmitter`

siteHeaderLogoClick
Type : `EventEmitter`

siteHeaderLogout
Type : `EventEmitter`

siteHeaderSearch
Type : `EventEmitter`

### Methods

onLanguageListClose
`onLanguageListClose(evt: EclLanguageListCloseEvent)`
Parameters :
Name | Type | Optional
evt | `EclLanguageListCloseEvent` | No
Returns : `void`

onLanguageSelected
`onLanguageSelected(evt: EclLanguageListLanguageSelectedEvent)`
Parameters :
Name | Type | Optional
evt | `EclLanguageListLanguageSelectedEvent` | No
Returns : `void`

onSiteHeaderEcLogoClick
`onSiteHeaderEcLogoClick(evt: EclSiteHeaderLogoClickEvent)`
Parameters :
Name | Type | Optional
evt | `EclSiteHeaderLogoClickEvent` | No
Returns : `void`

onSiteHeaderLanguageClick
`onSiteHeaderLanguageClick(evt: EclSiteHeaderLanguageClickEvent)`
Parameters :
Name | Type | Optional
evt | `EclSiteHeaderLanguageClickEvent` | No
Returns : `void`

onSiteHeaderLogin
`onSiteHeaderLogin(evt: EclSiteHeaderLoginEvent)`
Parameters :
Name | Type | Optional
evt | `EclSiteHeaderLoginEvent` | No
Returns : `void`

onSiteHeaderLogout
`onSiteHeaderLogout(evt: EclSiteHeaderLogoutEvent)`
Parameters :
Name | Type | Optional
evt | `EclSiteHeaderLogoutEvent` | No
Returns : `void`

onSiteHeaderSearch
`onSiteHeaderSearch(evt: EclSiteHeaderSearchEvent)`
Parameters :
Name | Type | Optional
evt | `EclSiteHeaderSearchEvent` | No
Returns : `void`

### Properties

beforeContentSlot
Type : `TemplateRef<any>`

beforeFooterSlot
Type : `TemplateRef<any>`

beforePageHeaderSlot
Type : `TemplateRef<any>`

beforeSiteHeaderSlot
Type : `TemplateRef<any>`

currentLanguage$
Type : `Observable<EclLanguage>`

footerSectionsSlot
Type : `TemplateRef<any>`

footerSlot
Type : `TemplateRef<any>`

isLanguageListVisible
Type : `boolean`

languages$
Type : `Observable<Array<EclLanguage>>`

pageHeaderBreadcrumbItemsSlot
Type : `TemplateRef<any>`

pageHeaderSlot
Type : `TemplateRef<any>`

siteHeaderClassNameSlot
Type : `TemplateRef<any>`

siteHeaderEnvironmentSlot
Type : `TemplateRef<any>`

siteHeaderMenuSlot
Type : `TemplateRef<any>`

siteHeaderSlot
Type : `TemplateRef<any>`

templates
Type : `QueryList<any>`
Decorators : `@ContentChildren(EclSlotDirective)`

# result-matching ""

# No results matching ""